<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>        := <a href="G_EXPR.html"><font color="#008000">G_EXPR</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong>     := <font color="#BC8F8F">"Frame representation base"</font>;
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">author</font></strong>      := <font color="#BC8F8F">"Benoit Sonntag (bsonntag@loria.fr)"</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_object</font></strong>:<a href="OBJECT.html"><font color="#008000">OBJECT</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">attribute</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">fix_width_bit</font></strong> :<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> := 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">fix_height_bit</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> := 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">horizontal_bit</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> := 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">vertical_bit</font></strong>  :<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> :=  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_fix_width</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a>  <- 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_fix_height</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_horizontal</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_vertical</font></strong>  :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_attribute_bit</font></strong> flag:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">fix_width</font></strong>:<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">fix_height</font></strong>:<font color="#008000">SELF</font> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Dimension.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>  </B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">width_min</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">height_min</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">width_max</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">height_max</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Operator position.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">|</font>' <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">40</font> other:<a href="G_EXPR.html"><font color="#008000">G_EXPR</font></a> :<a href="G_EXPR.html"><font color="#008000">G_EXPR</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">/</font>' <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">40</font> other:<a href="G_EXPR.html"><font color="#008000">G_EXPR</font></a> :<a href="G_EXPR.html"><font color="#008000">G_EXPR</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Update position.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_position</font></strong> rac:<a href="AREA.html"><font color="#008000">AREA</font></a> <strong><font color="#0000FF">at</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">size</font></strong> (w,h:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">refresh</font></strong> <- 
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Style...</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">color_dark</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>      := 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">color_light</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>     := 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">color_back</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>      :=   
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">color_back_light</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>:=   

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">draw_border_in</font></strong> (x0,y0:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">to</font></strong> (x1,y1:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">draw_border_out</font></strong> (x0,y0:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">to</font></strong> (x1,y1:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
  
  
 
</body>
</html>
 